Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#3 mistakes in desktop file

Stable
closed
nobody
None
5
2014-06-02
2011-03-11
dirdival
No

Hi,

You have got mistakes in:
data/netactview.desktop.in

[dirdival@pld data]$ desktop-file-validate netactview.desktop.in
netactview.desktop.in: warning: key "Encoding" in group "Desktop Entry" is deprecated
netactview.desktop.in: error: file contains key "_Name" in group "Desktop Entry", but key names must contain only the characters A-Za-z0-9- (they may have a "[LOCALE]" postfix)
netactview.desktop.in: error: file contains key "_Comment" in group "Desktop Entry", but key names must contain only the characters A-Za-z0-9- (they may have a "[LOCALE]" postfix)
netactview.desktop.in: warning: value "netactview.png" for key "Icon" in group "Desktop Entry" is an icon name with an extension, but there should be no extension as described in the Icon Theme Specification if the value is not an absolute path
netactview.desktop.in: error: value "GNOME;GTK;Network;Monitor" for string list key "Categories" in group "Desktop Entry" does not have a semicolon (';') as trailing character
netactview.desktop.in: error: required key "Name" in group "Desktop Entry" is not present
netactview.desktop.in: error: filename does not have a .desktop extension

I added a patch with solved this problems (see attachment).

Cheers,
Krzysztof

Related

Patches: #3

Discussion

  • dirdival
    dirdival
    2011-03-11

    desktop file patch

     
  • Mihai Varzaru
    Mihai Varzaru
    2014-05-29

    This is a .desktop.in file not a .desktop file. It is transformed at compilation to a .desktop file.
    - _Name is changed to Name in the .desktop file.
    - _Comment is changed to Comment

    I fill fix the other issues in a future release.

     
    • dirdival
      dirdival
      2014-06-02

      Hello Mihai,

      Thank you for your effort. I haven't sent to PLD any fixes since 2 or 3
      years. My current life don't allow me to be 'full time linux developer'.
      Your advices are good. Thank you for the information.

      Best regards,
      Krzysztof

      2014-05-29 13:44 GMT+02:00 Mihai Varzaru mihaivzr@users.sf.net:

      This is a .desktop.in file not a .desktop file. It is transformed at
      compilation to a .desktop file.
      - _Name is changed to Name in the .desktop file.
      - _Comment is changed to Comment

      I fill fix the other issues in a future release.

      Status: open
      Group:
      Created: Fri Mar 11, 2011 11:58 PM UTC by dirdival
      Last Updated: Fri Mar 11, 2011 11:58 PM UTC
      Owner: nobody

      Hi,

      You have got mistakes in:
      data/netactview.desktop.in

      [dirdival@pld data]$ desktop-file-validate netactview.desktop.in
      netactview.desktop.in: warning: key "Encoding" in group "Desktop Entry"
      is deprecated
      netactview.desktop.in: error: file contains key "_Name" in group "Desktop
      Entry", but key names must contain only the characters A-Za-z0-9- (they may
      have a "[LOCALE]" postfix)
      netactview.desktop.in: error: file contains key "_Comment" in group
      "Desktop Entry", but key names must contain only the characters A-Za-z0-9-
      (they may have a "[LOCALE]" postfix)
      netactview.desktop.in: warning: value "netactview.png" for key "Icon" in
      group "Desktop Entry" is an icon name with an extension, but there should
      be no extension as described in the Icon Theme Specification if the value
      is not an absolute path
      netactview.desktop.in: error: value "GNOME;GTK;Network;Monitor" for
      string list key "Categories" in group "Desktop Entry" does not have a
      semicolon (';') as trailing character
      netactview.desktop.in: error: required key "Name" in group "Desktop
      Entry" is not present
      netactview.desktop.in: error: filename does not have a .desktop extension

      I added a patch with solved this problems (see attachment).

      Cheers,
      Krzysztof


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/netactview/patches/3/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Patches: #3

  • Mihai Varzaru
    Mihai Varzaru
    2014-05-29

    • status: open --> accepted
    • Group: --> Stable
     
    Last edit: Mihai Varzaru 2014-05-29
  • Mihai Varzaru
    Mihai Varzaru
    2014-06-02

    • status: accepted --> closed
     
  • Mihai Varzaru
    Mihai Varzaru
    2014-06-02

    fixed in 0.6.3